Subject: Re: [scim] New Version Notification for draft-hunt-scim-events-00.txt

From: Phillip Hunt <[email-masked]>
Date: Sun, 13 Feb 2022 13:49:10 -0800

Hi SCIMers!

As promised, I have submitted the draft proposal for Co-ordinated Events between SCIM Providers (called SCIM Profile for Security Event Tokens).

The draft is a bit long, but that is primarily because I have included a number of diagrams and examples as well as use case (delivery mode) discussion. The actual implementation specification is relatively short.

The draft leverages the Securtiy Event Token spec set and defines events for SCIM that can be used for:
* Feed control (what resources are part of an event feed)
* HTTP Async Request completion messages
* Security signals
* Co-ordinated cross-domain provisioning and domain based replication.

Apologies, the draft has a few “TODOs". Though I have included several privacy and security considerations in the content, I still need to complete the separate sections. As an editor introducing a brand new specification, I prefer to do write these sections when there is a rudimentary consensus and the basic approach has crystalized. I plan to complete this before adoption as a possible working group draft.

There is also a section on event processing logic.I feel this too needs some prior requirements discussion as we may need to refine scenarios. It could also be argued that processing logic is up to the implementer and not necessary for inter-op. 

One item that is out of scope for this draft is “bootstrap” and “recovery” for SCIM Service Providers. I’m not sure this content belongs in this draft. Obviously if one is setting up a new replica node, you have to have a method for initial transfer. I would be happy to contribute to, or help write such a draft. It might not need to be normative but more of a best practice draft.

Finally, it is my hope that this draft eliminates much (or all) of the stated requests I have heard for cursor-based paging.  The idea of event processing is to prevent the repeated need for full system transfers (via paged gets) by dealing with events as they occur once two or more systems are running based on a bulk load.  The approach of using “call-backs” also helps to enforce data access and disclosure restrictions that might not otherwise be possible in cursor-based approaches.

Chairs…obviously I would like to discuss this at the next IETF meeting in March.

Phillip Hunt
@independentid
[email-masked]

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-hunt-scim-events-00.txt
> Date: February 13, 2022 at 1:29:45 PM PST
> To: "Phil Hunt" <[email-masked]>, "Phillip Hunt" <[email-masked]>
> 
> 
> A new version of I-D, draft-hunt-scim-events-00.txt
> has been successfully submitted by Phil Hunt and posted to the
> IETF repository.
> 
> Name:		draft-hunt-scim-events
> Revision:	00
> Title:		SCIM Profile for Security Event Tokens
> Document date:	2022-02-13
> Group:		Individual Submission
> Pages:		27
> URL:            https://www.ietf.org/archive/id/draft-hunt-scim-events-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-hunt-scim-events/
> Html:           https://www.ietf.org/archive/id/draft-hunt-scim-events-00.html
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-hunt-scim-events
> 
> 
> Abstract:
>   This specification profiles the Security Event Token specification,
>   to define a set of events for SCIM Protocol servers that can be used
>   for asynchronous transaction confirmations, replication, cross-domain
>   provisioning co-ordination, and security signals.
> 
> 
> 
> 
> The IETF Secretariat
> 
>